Subject: 23.1.92; doc of read-buffer-function
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Mon, 22 Feb 2010 15:43:10 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

The doc of `read-buffer-function' says nothing about its expected arguments.

This is true for both the doc string and the Elisp manual. The manual gives
`iswitchb-read-buffer' as an example value for the variable. That function has
only PROMPT as a require argument, so one might presume that
`read-buffer-function' must be a function that accepts at least one string arg,
a prompt.

But why make us guess? Please be more precise about the requirements.

In GNU Emacs 23.1.92.1 (i386-mingw-nt5.1.2600)
 of 2010-02-20 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/g/include
-fno-crossjumping'